Name: tinycdb
Version: 0.73
Release: alt2

Summary: A package for maintenance of constant databases
License: Public Domain
Group: Databases
Url: http://www.corpit.ru/mjt/tinycdb.html

Source: ftp://ftp.corpit.ru/pub/tinycdb/tinycdb-%version.tar.gz
# Source0-md5: 4a751aad0ac3067a7b922c40e495d79e
Packager: Victor Forsyuk <force@altlinux.ru>

Requires: libcdb = %version-%release

%description
tinycdb is a small, fast and reliable utility set and subroutine
library for creating and reading constant databases.  The database
structure is tuned for fast reading:

 - Successful lookups take normally just two disk accesses.
 - Unsuccessful lookups take only one disk access.
 - Small disk space and memory size requirements; a database uses 2048
   bytes for the header and 24 bytes per record.
 - Maximum database size is 4GB; individual record size is not
   otherwise limited.
 - Portable file format.
 - Fast creation of new databases.
 - No locking, updates are atomical.

This package contains the utility.

%package -n libcdb
Summary: The %name shared library 
Group: System/Libraries

%package -n libcdb-devel
Summary: Development libraries and header files for tinycdb
Group: Development/C
Requires: libcdb = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel

%package -n libcdb-devel-static
Summary: Development static library for tinycdb
Group: Development/C
Requires: libcdb-devel = %version-%release

%description -n libcdb
tinycdb is a small, fast and reliable utility set and subroutine
library for creating and reading constant databases.

This package contains %name shared library.

%description -n libcdb-devel
tinycdb is a small, fast and reliable utility set and subroutine
library for creating and reading constant databases.

This package contains tinycdb development library and header files.
Required if you plan to do development using the tinycdb database.

%description -n libcdb-devel-static
tinycdb is a small, fast and reliable utility set and subroutine
library for creating and reading constant databases.

This package contains development static library.

%prep
%setup -q

%build
%make_build CFLAGS="%optflags %optflags_shared" libcdb.a
gcc -shared -Wl,-soname,libcdb.so.0 -o libcdb.so.%version \
	-Wl,--whole-archive libcdb.a -Wl,--no-whole-archive
%__ln_s libcdb.so.%version libcdb.so
%__ln_s libcdb.so.%version libcdb.so.0
%make_build CFLAGS="%optflags"
gcc %optflags -o cdb cdb.o -L. -lcdb
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:LD_LIBRARY_PATH=`pwd` make check}}}

%install
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_includedir,%_libdir,%_mandir/man{1,3,5}}

install cdb $RPM_BUILD_ROOT%_bindir/
install -m644 cdb.h $RPM_BUILD_ROOT%_includedir/
install -m644 libcdb.a $RPM_BUILD_ROOT%_libdir/
install -m644 libcdb.so.%version $RPM_BUILD_ROOT%_libdir/
%__ln_s libcdb.so.%version $RPM_BUILD_ROOT%_libdir/libcdb.so
install -m644 cdb.1 $RPM_BUILD_ROOT%_mandir/man1/
install -m644 cdb.3 $RPM_BUILD_ROOT%_mandir/man3/
install -m644 cdb.5 $RPM_BUILD_ROOT%_mandir/man5/

%post -n libcdb -p %post_ldconfig
%postun -n libcdb -p %postun_ldconfig

%files
%_bindir/*
%_mandir/man[15]/*
%doc ChangeLog

%files -n libcdb
%_libdir/libcdb.so.*

%files -n libcdb-devel
%_libdir/libcdb.so
%_mandir/man3/*
%_includedir/*

%files -n libcdb-devel-static
%_libdir/libcdb.a

%changelog
* Mon Oct 20 2003 Dmitry V. Levin <ldv@altlinux.org> 0.73-alt2
- Build shared library.
- Run tests after build.
- Resplit subpackages: %name, libcdb, libcdb-devel, libcdb-devel-static.

* Mon Sep 08 2003 Victor Forsyuk <force@altlinux.ru> 0.73-alt1
- Initial build for Sisyphus.
